<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for Put_Travel_City_ResponseType StructType
 * Meta information extracted from the WSDL
 * - documentation: Element containing the Travel City Reference and Data that is sent in the response
 * @subpackage Structs
 */
class Put_Travel_City_ResponseType extends AbstractStructBase
{
    /**
     * The Travel_City_Reference
     * Meta information extracted from the WSDL
     * - documentation: Travel City Reference
     * - minOccurs: 0
     * @var \StructType\Travel_CityObjectType
     */
    public $Travel_City_Reference;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - ref: wd:version
     * @var string
     */
    public $version;
    /**
     * Constructor method for Put_Travel_City_ResponseType
     * @uses Put_Travel_City_ResponseType::setTravel_City_Reference()
     * @uses Put_Travel_City_ResponseType::setVersion()
     * @param \StructType\Travel_CityObjectType $travel_City_Reference
     * @param string $version
     */
    public function __construct(\StructType\Travel_CityObjectType $travel_City_Reference = null, $version = null)
    {
        $this
            ->setTravel_City_Reference($travel_City_Reference)
            ->setVersion($version);
    }
    /**
     * Get Travel_City_Reference value
     * @return \StructType\Travel_CityObjectType|null
     */
    public function getTravel_City_Reference()
    {
        return $this->Travel_City_Reference;
    }
    /**
     * Set Travel_City_Reference value
     * @param \StructType\Travel_CityObjectType $travel_City_Reference
     * @return \StructType\Put_Travel_City_ResponseType
     */
    public function setTravel_City_Reference(\StructType\Travel_CityObjectType $travel_City_Reference = null)
    {
        $this->Travel_City_Reference = $travel_City_Reference;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \StructType\Put_Travel_City_ResponseType
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
}
